org.gradle.tooling.model

## Interface GradleTask

- All Superinterfaces:
    Task

      public interface GradleTask
      extends Task

  Represents a task which is executable by Gradle.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleProject` | `getProject()` Returns the Gradle project this task is defined in.

    - ### Methods inherited from interface org.gradle.tooling.model.Task

      `getDescription, getName, getPath`

- - ### Method Detail

    - #### getProject

          GradleProject getProject()

      Returns the Gradle project this task is defined in.
      Specified by:
        `getProject` in interface `Task`
      Returns:
        The element.